package com.fs.his.service;

import com.fs.course.param.FsInquiryPatientInfoUParam;
import com.fs.course.vo.FsInquiryPatientInfoListUVO;
import com.fs.his.domain.FsInquiryPatientInfo;
import com.fs.his.param.FsInquiryPatientParam;
import com.fs.his.vo.FsInquiryPatientVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 问诊患者信息Service接口
 */
public interface IFsInquiryPatientInfoService {


    int insertFsInquiryPatientInfo(FsInquiryPatientParam fsInquiryPatientInfo);

    int updateFsInquiryPatientInfo(FsInquiryPatientParam fsInquiryPatientInfo);

    FsInquiryPatientVO selectFsInquiryPatientInfo(Long inquiryOrderId);

    List<FsInquiryPatientInfoListUVO> selectFsInquiryPatientInfoListUVO(FsInquiryPatientInfoUParam param);

    FsInquiryPatientInfoListUVO getInfo(Long id);
}
